Page MenuHomePhabricator

Reduce application search engine results list for Dashboards
ClosedPublic

Authored by chad on Feb 12 2017, 6:11 AM.

Details

Summary

Ref T10390. Simplifies dropdown by rolling out canUseInPanel in useless panels

Test Plan

Add a query panel, see less options.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

chad created this revision.Feb 12 2017, 6:11 AM
chad edited the test plan for this revision. (Show Details)Feb 12 2017, 6:13 AM
epriestley commandeered this revision.Feb 13 2017, 2:31 PM
epriestley edited reviewers, added: chad; removed: epriestley.
epriestley edited edge metadata.

Generally seems sane, I'll write some javascript. 😿

chad edited edge metadata.Feb 13 2017, 2:39 PM

It's probably possible to build this into one mega-typeahead too. I just was unsure how that would feel.

chad commandeered this revision.Feb 22 2017, 1:39 AM
chad removed a reviewer: chad.

I think I'm just going to build this into a single typeahead and remove the javascript. That should make tab panel creation simple also.

chad retitled this revision from Build a Typeahead for panel-ready application search engines to Reduce application search engine results list for Dashboards.Feb 22 2017, 5:19 PM
chad edited the summary of this revision. (Show Details)
chad edited the test plan for this revision. (Show Details)
chad updated this revision to Diff 41824.Feb 22 2017, 5:27 PM
  • filter out a few more useless ones
chad added a comment.Feb 22 2017, 5:28 PM

I reduced this diff down to just canUseInPanelContext changes -- along with better descriptions.

epriestley accepted this revision.Feb 22 2017, 8:23 PM
This revision is now accepted and ready to land.Feb 22 2017, 8:23 PM
This revision was automatically updated to reflect the committed changes.